1. Funding
geowallet
  • Overview
  • Authentication
  • APIs
    • Ledger Balance
      • Get Balance of all ledgers
      • Get Balance for a single currency
    • Funding
      • Get deposit instruments
        GET
    • Payers
      • Create original payer
    • Beneficiaries
      • Create beneficiary
    • Quotes
      • Get FX quotation
    • Payments
      • Confirm quote and create payment
      • Payment result inquiry
    • Files
      • Create file upload session
      • Get file processing status
      • Upload file binary to pre-signed URL
  • Payment Status Webhook
  • About Us
  • Schemas
    • ErrorResponse
    • DepositInstrumentsResponse
    • DepositInstruction
    • FiatBankAccount
    • CreatePayerRequest
    • PayerInfo
    • IdentityInfo
    • Address
    • CompanyInfo
    • Director
    • UBO
    • DocumentReference
    • CreatePayerResponse
    • CreateBeneficiaryRequest
    • BeneficiaryInfo
    • BeneficiaryBankAccount
    • IntermediaryBank
    • OriginatorInfo
    • LocalClearing
    • CreateBeneficiaryResponse
    • QuoteRequest
    • QuoteResponse
    • PaymentRequest
    • PaymentInstruction
    • Amount
    • Compliance
    • Metadata
    • PaymentResponse
    • FileUploadSessionRequest
    • FileUploadSessionResponse
    • FileStatusResponse
  1. Funding

Get deposit instruments

GET
/api/v1/funding/deposit-instruments

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://prod-cn.your-api-server.com/api/v1/funding/deposit-instruments?merchantId=undefined&asset=undefined&sourceCountry=undefined&network=undefined' \
--header 'X-API-Key: <api-key>'

Responses

🟢200
application/json
Success
Bodyapplication/json

Example
{
    "merchantId": "string",
    "asset": "USD",
    "network": "ETHEREUM",
    "depositType": "FIAT",
    "sourceCountry": [
        "string"
    ],
    "depositInstruction": {
        "address": "string",
        "memo": "string",
        "tag": "string"
    },
    "bankAccount": {
        "bankName": "string",
        "accountNumber": "string",
        "routingNumber": "string",
        "iban": "string",
        "swiftCode": "string",
        "beneficiaryName": "string"
    },
    "expireTime": "2019-08-24T14:15:22.123Z",
    "signature": "string"
}
🟠400
Modified at 2026-06-05 07:31:32
Previous
Get Balance for a single currency
Next
Create original payer
Built with